// Black Level
BLC_SENSOR_BLACK             12 12 12 12
BLC_SYS_BLACK                64

// Defective Pixel Fixing
DPF_DETECT_ENABLE            1
DPF_THRESHOLD                5
DPF_WEIGHT                   1

// Colour Correction
CCM_MATRIX                   1.9729 -0.871937 -0.100964 -0.43199 1.72243 -0.290437 -0.02353 -0.799012 1.82254
CCM_OFFSETS                  -109.121 -130.965 -119.926

// Display Gammut Mapper
DGM_CLIP_MAX                 1
DGM_CLIP_MIN                 0
DGM_COEFF                    0 0 0 0 0 0
DGM_SLOPE                    1 1 0
DGM_SRC_NORM                 1

// Primary Denoiser
DNS_COMBINE_ENABLE           1
DNS_STRENGTH                 4

// Display Scaler
DSC_ADJUST_CUTOFF_FREQ       0
DSC_BYPASS                   0
DSC_PITCH                    1 1
DSC_RECT                     0 0 0 0
DSC_RECT_TYPE                croprect

// Encoder Scaler
ESC_ADJUST_CUTOFF_FREQ       0
ESC_BYPASS                   0
ESC_CHROMA_MODE              inter
ESC_PITCH                    1 1
ESC_RECT                     0 0 0 0
ESC_RECT_TYPE                croprect

// Gamma Correction
GMA_BYPASS                   0

// Lens Shading and White Balance
LSH_WBCLIP                   1 1 1 1
LSH_WBGAIN                   1.77063 1 1.00714 1.73046

// Main Gammut Mapper
MGM_CLIP_MAX                 1
MGM_CLIP_MIN                 0
MGM_COEFF                    0 0 0 0 0 0
MGM_SLOPE                    1 1 0
MGM_SRC_NORM                 1

// Global Output parameters
OUT_DE                       NONE
OUT_ENC                      NV12
OUT_DISP                     RGB888_32

// RGB to YCC
R2Y_BRIGHTNESS               0
R2Y_CONTRAST                 1
R2Y_HUE                      0
R2Y_MATRIX                   BT709
R2Y_RANGE_MUL                1 1 1
R2Y_SATURATION               1

// Sharpening
SHA_DENOISE_BYPASS           0
SHA_DETAIL                   0.5
SHA_EDGE_OFFSET              0
SHA_EDGE_SCALE               0
SHA_DN_SIGMA_MULTIPLIER      0.5
SHA_DN_TAU_MULTIPLIER        3
SHA_RADIUS                   2
SHA_STRENGTH                 0.5
SHA_THRESH                   0

// Tone Mapper
TNM_BYPASS                   0
TNM_COLOUR_CONFIDENCE        1
TNM_COLOUR_SATURATION        1
TNM_FLAT_FACTOR              0
TNM_FLAT_MIN                 0
TNM_IN_Y                     -64 64
TNM_OUT_Y                    16 235
TNM_WEIGHT_LINE              0
TNM_WEIGHT_LOCAL             0

// YCC to RGB
Y2R_BRIGHTNESS               0
Y2R_CONTRAST                 1
Y2R_HUE                      0
Y2R_MATRIX                   BT709
Y2R_RANGE_MUL                1.1689 1.1429 1.1429
Y2R_SATURATION               1

// Temperature Correction parameters (Multi-CCM for AWB)
WB_CORRECTIONS 3

WB_CCM_0 1.59168 -0.28921 -0.302471 -0.665671 1.94659 -0.280915 -0.283673 -0.886163 1.98
WB_CCM_1 1.70741 -0.611625 -0.0957855 -0.457553 1.67632 -0.218765 -0.0752182 -0.999599 1.98
WB_CCM_2 1.9729 -0.871937 -0.100964 -0.43199 1.72243 -0.290437 -0.02353 -0.799012 1.82254

WB_GAINS_0 1.06337 1 1.00442 2.94069
WB_GAINS_1 1.35073 1 1.00217 2.34175
WB_GAINS_2 1.77063 1 1.00714 1.73046

WB_OFFSETS_0 -140.576 -141.75 -48.6928
WB_OFFSETS_1 -124.605 -138.085 -91.1719
WB_OFFSETS_2 -109.121 -130.965 -119.926

WB_TEMPERATURE_0 2700
WB_TEMPERATURE_1 4000
WB_TEMPERATURE_2 6500

// White Balance Temporal Smoothing parameters (Planckian)
WBT_USE_FLASH_FILTERING      0
WBT_USE_SMOOTHING            0
WBT_TEMPORAL_STRETCH         4500
WBT_WEIGHT_BASE              1

// Auto Exposure parameters
AE_TARGET_GAIN               1.0
AE_TARGET_BRIGHTNESS         0.0
AE_MAX_GAIN                  10.0
AE_MAX_EXPOSURE              33000
AE_FLICKER_REJECTION         0
AE_FLICKER_AUTODETECT        1
AE_FLICKER_FREQ              50

// Auto White Balance Statistics parameters (AWS block)
AWS_BB_DIST 0.2
AWS_B_CLIP_THRESH 255
AWS_B_DARK_THRESH 10
AWS_G_CLIP_THRESH 255
AWS_G_DARK_THRESH 10
AWS_R_CLIP_THRESH 255
AWS_R_DARK_THRESH 10

AWB_MAX_RATIO_DISTANCE 0.2

AWS_CURVES_NUM 5
AWS_CURVE_X_COEFFS 0.780096 0.729204 0.634187 0.95317 0
AWS_CURVE_Y_COEFFS 0.62566 0.684297 0.77318 0.302434 1
AWS_CURVE_OFFSETS 0.00296059 0.0175738 0.0540049 -0.513561 -0.2
AWS_CURVE_BOUNDARIES 0.25 -0.137428 -0.214031 -0.688147 -1.21633
